Subject: Re: Getting the IRQ number (Was: Basic driver devel questions ?)

From: Michael Ellerman <[email-masked]>
Date: Wed, 08 Dec 2010 11:50:35 +1100

On Tue, 2010-12-07 at 13:46 +0100, Guillaume Dargaud wrote:
> Michael, 
> in your example, when is foo_driver_probe() actually called ?
> It's not being called when I do an insmod.

It should be called when the driver core finds a device that matches
your match table.

When you register your driver the driver core will iterate over all
devices on the platform bus and if they match then it will call your
probe routine.

I assume you've update the compatible property in the match table, I'm
not sure what else could be causing it to not be called.

cheers